/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.bean;

import java.util.Date;

/**
 * The header of the message carries the info of the sending peer.
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public class MessageHeader extends AttributeSupportedObject {
    /**
     * Represents the identifier of the peer who sends the message.
     */
    private String peerId = null;
    
    /**
     * Represents the sending date of the message. 
     */
    private Date sendDate = null;
    
    /**
     * Represents the credential of the peer who sends the message.
     */
    private Credential credential = null;
    
    /**
     * Constructor.
     * 
     * @param peerId the id of the peer
     * @param credential the credential of the peer
     */
    public MessageHeader(String peerId, Credential credential) {
        
    }
    
    /**
     * Return the id of the peer who sends the message.
     * @return the id of the peer who sends the message.
     */
    public String getPeerId() {
        return peerId;
    }
    
    /**
     * Return the send date of the message.
     * @return the send date of the message.
     */
    public Date getSendDate() {
        return sendDate;
    }
    
    /**
     * Reutrn the credential of the peer who sends the message.
     * 
     * @return the credential of the peer who sends the message
     */
    public Credential getCredential() {
        return credential;
    }
}
