/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.protocol;

import com.topcoder.network.synchronization.bean.*;

/**
 * This interface defines a listener to deal the messages received from 
 * the peer group. 
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public abstract class MessageListener {
    
    private MessageListener next = null;
    
    /**
     * Deal the message from the peer group. 
     * This method should also determine whether to pass the message to the next listener.  
     * 
     * @param message the message to deal
     * 
     */
    public abstract void dealMessage(Message message);
    
    /**
     * Return the next MessageListener.
     * 
     * @return the next MessageListener.
     */
    public MessageListener getNextMessageListener() {
        return null;
    }
    
    /**
     * Set the next MessageListener of this listener.
     * 
     * @param next the next listener to set
     */
    public void setNextMessageListener(MessageListener next) {
        
    }
    
}
